<?php

namespace rdyescapiacontent\ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfUnitDescriptiveInfoRequestType ArrayType
 * @subpackage Arrays
 */
class ArrayOfUnitDescriptiveInfoRequestType extends AbstractStructArrayBase
{
    /**
     * The UnitDescriptiveInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \rdyescapiacontent\StructType\UnitDescriptiveInfoRequestType[]
     */
    public $UnitDescriptiveInfo;
    /**
     * Constructor method for ArrayOfUnitDescriptiveInfoRequestType
     * @uses ArrayOfUnitDescriptiveInfoRequestType::setUnitDescriptiveInfo()
     * @param \rdyescapiacontent\StructType\UnitDescriptiveInfoRequestType[] $unitDescriptiveInfo
     */
    public function __construct(array $unitDescriptiveInfo = array())
    {
        $this
            ->setUnitDescriptiveInfo($unitDescriptiveInfo);
    }
    /**
     * Get UnitDescriptiveInfo value
     * @return \rdyescapiacontent\StructType\UnitDescriptiveInfoRequestType[]|null
     */
    public function getUnitDescriptiveInfo()
    {
        return $this->UnitDescriptiveInfo;
    }
    /**
     * This method is responsible for validating the values passed to the setUnitDescriptiveInfo method
     * This method is willingly generated in order to preserve the one-line inline validation within the setUnitDescriptiveInfo method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateUnitDescriptiveInfoForArrayConstraintsFromSetUnitDescriptiveInfo(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfUnitDescriptiveInfoRequestTypeUnitDescriptiveInfoItem) {
            // validation for constraint: itemType
            if (!$arrayOfUnitDescriptiveInfoRequestTypeUnitDescriptiveInfoItem instanceof \rdyescapiacontent\StructType\UnitDescriptiveInfoRequestType) {
                $invalidValues[] = is_object($arrayOfUnitDescriptiveInfoRequestTypeUnitDescriptiveInfoItem) ? get_class($arrayOfUnitDescriptiveInfoRequestTypeUnitDescriptiveInfoItem) : sprintf('%s(%s)', gettype($arrayOfUnitDescriptiveInfoRequestTypeUnitDescriptiveInfoItem), var_export($arrayOfUnitDescriptiveInfoRequestTypeUnitDescriptiveInfoItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The UnitDescriptiveInfo property can only contain items of type \rdyescapiacontent\StructType\UnitDescriptiveInfoRequestType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set UnitDescriptiveInfo value
     * @throws \InvalidArgumentException
     * @param \rdyescapiacontent\StructType\UnitDescriptiveInfoRequestType[] $unitDescriptiveInfo
     * @return \rdyescapiacontent\ArrayType\ArrayOfUnitDescriptiveInfoRequestType
     */
    public function setUnitDescriptiveInfo(array $unitDescriptiveInfo = array())
    {
        // validation for constraint: array
        if ('' !== ($unitDescriptiveInfoArrayErrorMessage = self::validateUnitDescriptiveInfoForArrayConstraintsFromSetUnitDescriptiveInfo($unitDescriptiveInfo))) {
            throw new \InvalidArgumentException($unitDescriptiveInfoArrayErrorMessage, __LINE__);
        }
        $this->UnitDescriptiveInfo = $unitDescriptiveInfo;
        return $this;
    }
    /**
     * Add item to UnitDescriptiveInfo value
     * @throws \InvalidArgumentException
     * @param \rdyescapiacontent\StructType\UnitDescriptiveInfoRequestType $item
     * @return \rdyescapiacontent\ArrayType\ArrayOfUnitDescriptiveInfoRequestType
     */
    public function addToUnitDescriptiveInfo(\rdyescapiacontent\StructType\UnitDescriptiveInfoRequestType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \rdyescapiacontent\StructType\UnitDescriptiveInfoRequestType) {
            throw new \InvalidArgumentException(sprintf('The UnitDescriptiveInfo property can only contain items of type \rdyescapiacontent\StructType\UnitDescriptiveInfoRequestType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->UnitDescriptiveInfo[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \rdyescapiacontent\StructType\UnitDescriptiveInfoRequestType|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \rdyescapiacontent\StructType\UnitDescriptiveInfoRequestType|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \rdyescapiacontent\StructType\UnitDescriptiveInfoRequestType|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \rdyescapiacontent\StructType\UnitDescriptiveInfoRequestType|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \rdyescapiacontent\StructType\UnitDescriptiveInfoRequestType|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string UnitDescriptiveInfo
     */
    public function getAttributeName()
    {
        return 'UnitDescriptiveInfo';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \rdyescapiacontent\ArrayType\ArrayOfUnitDescriptiveInfoRequestType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
