<?php

namespace rdyescapiacontent;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'EVRN_UnitDescriptiveInfoRQ' => '\\rdyescapiacontent\\StructType\\EVRN_UnitDescriptiveInfoRQ',
            'EVRN_BaseRQType' => '\\rdyescapiacontent\\StructType\\EVRN_BaseRQType',
            'ArrayOfSourceType' => '\\rdyescapiacontent\\ArrayType\\ArrayOfSourceType',
            'SourceType' => '\\rdyescapiacontent\\StructType\\SourceType',
            'RequestorID' => '\\rdyescapiacontent\\StructType\\RequestorID',
            'BookingChannelType' => '\\rdyescapiacontent\\StructType\\BookingChannelType',
            'CompanyNameType' => '\\rdyescapiacontent\\StructType\\CompanyNameType',
            'TravelArrangerType' => '\\rdyescapiacontent\\StructType\\TravelArrangerType',
            'CompanyNamePrefType' => '\\rdyescapiacontent\\StructType\\CompanyNamePrefType',
            'UnitResRequestType' => '\\rdyescapiacontent\\StructType\\UnitResRequestType',
            'UniqueID_Type' => '\\rdyescapiacontent\\StructType\\UniqueID_Type',
            'UnitReservationsType' => '\\rdyescapiacontent\\StructType\\UnitReservationsType',
            'UnitReservationType' => '\\rdyescapiacontent\\StructType\\UnitReservationType',
            'ArrayOfUnitStaysTypeUnitStay' => '\\rdyescapiacontent\\ArrayType\\ArrayOfUnitStaysTypeUnitStay',
            'UnitStay' => '\\rdyescapiacontent\\StructType\\UnitStay',
            'Reference' => '\\rdyescapiacontent\\StructType\\Reference',
            'UnitStayType' => '\\rdyescapiacontent\\StructType\\UnitStayType',
            'ArrayOfUnitStayTypeUnitRate' => '\\rdyescapiacontent\\ArrayType\\ArrayOfUnitStayTypeUnitRate',
            'UnitRate' => '\\rdyescapiacontent\\StructType\\UnitRate',
            'ArrayOfEVRN_AmountType' => '\\rdyescapiacontent\\ArrayType\\ArrayOfEVRN_AmountType',
            'EVRN_AmountType' => '\\rdyescapiacontent\\StructType\\EVRN_AmountType',
            'AdditionalGuestAmounts' => '\\rdyescapiacontent\\StructType\\AdditionalGuestAmounts',
            'Discount' => '\\rdyescapiacontent\\StructType\\Discount',
            'AdditionalCharges' => '\\rdyescapiacontent\\StructType\\AdditionalCharges',
            'AdvanceBookingRestriction' => '\\rdyescapiacontent\\StructType\\AdvanceBookingRestriction',
            'TotalType' => '\\rdyescapiacontent\\StructType\\TotalType',
            'TaxesType' => '\\rdyescapiacontent\\StructType\\TaxesType',
            'TaxType' => '\\rdyescapiacontent\\StructType\\TaxType',
            'ParagraphType' => '\\rdyescapiacontent\\StructType\\ParagraphType',
            'ListItem' => '\\rdyescapiacontent\\StructType\\ListItem',
            'FormattedTextTextType' => '\\rdyescapiacontent\\StructType\\FormattedTextTextType',
            'DiscountType' => '\\rdyescapiacontent\\StructType\\DiscountType',
            'RateDiscountType' => '\\rdyescapiacontent\\StructType\\RateDiscountType',
            'AdditionalGuestAmountType' => '\\rdyescapiacontent\\StructType\\AdditionalGuestAmountType',
            'ArrayOfFeeType' => '\\rdyescapiacontent\\ArrayType\\ArrayOfFeeType',
            'FeeType' => '\\rdyescapiacontent\\StructType\\FeeType',
            'CommissionPolicyType' => '\\rdyescapiacontent\\StructType\\CommissionPolicyType',
            'CancelPenaltiesType' => '\\rdyescapiacontent\\StructType\\CancelPenaltiesType',
            'CancelPenaltyType' => '\\rdyescapiacontent\\StructType\\CancelPenaltyType',
            'Deadline' => '\\rdyescapiacontent\\StructType\\Deadline',
            'AmountPercentType' => '\\rdyescapiacontent\\StructType\\AmountPercentType',
            'ArrayOfRequiredPaymentsTypeGuaranteePayment' => '\\rdyescapiacontent\\ArrayType\\ArrayOfRequiredPaymentsTypeGuaranteePayment',
            'GuaranteePayment' => '\\rdyescapiacontent\\StructType\\GuaranteePayment',
            'Address' => '\\rdyescapiacontent\\StructType\\Address',
            'ArrayOfPaymentFormType' => '\\rdyescapiacontent\\ArrayType\\ArrayOfPaymentFormType',
            'PaymentFormType' => '\\rdyescapiacontent\\StructType\\PaymentFormType',
            'MiscChargeOrder' => '\\rdyescapiacontent\\StructType\\MiscChargeOrder',
            'LoyaltyRedemption' => '\\rdyescapiacontent\\StructType\\LoyaltyRedemption',
            'Voucher' => '\\rdyescapiacontent\\StructType\\Voucher',
            'Cash' => '\\rdyescapiacontent\\StructType\\Cash',
            'PaymentCardType' => '\\rdyescapiacontent\\StructType\\PaymentCardType',
            'CardIssuerName' => '\\rdyescapiacontent\\StructType\\CardIssuerName',
            'AddressType' => '\\rdyescapiacontent\\StructType\\AddressType',
            'StreetNmbr' => '\\rdyescapiacontent\\StructType\\StreetNmbr',
            'BldgRoom' => '\\rdyescapiacontent\\StructType\\BldgRoom',
            'StreetNmbrType' => '\\rdyescapiacontent\\StructType\\StreetNmbrType',
            'StateProvType' => '\\rdyescapiacontent\\StructType\\StateProvType',
            'CountryNameType' => '\\rdyescapiacontent\\StructType\\CountryNameType',
            'AddressInfoType' => '\\rdyescapiacontent\\StructType\\AddressInfoType',
            'DirectBillType' => '\\rdyescapiacontent\\StructType\\DirectBillType',
            'CompanyName' => '\\rdyescapiacontent\\StructType\\CompanyName',
            'BankAcctType' => '\\rdyescapiacontent\\StructType\\BankAcctType',
            'TPA_Extensions_Type' => '\\rdyescapiacontent\\StructType\\TPA_Extensions_Type',
            'AdditionalChargeType' => '\\rdyescapiacontent\\StructType\\AdditionalChargeType',
            'GuestCountType' => '\\rdyescapiacontent\\StructType\\GuestCountType',
            'GuestCount' => '\\rdyescapiacontent\\StructType\\GuestCount',
            'DateTimeSpanType' => '\\rdyescapiacontent\\StructType\\DateTimeSpanType',
            'EndDateWindow' => '\\rdyescapiacontent\\StructType\\EndDateWindow',
            'StartDateWindow' => '\\rdyescapiacontent\\StructType\\StartDateWindow',
            'TimeInstantType' => '\\rdyescapiacontent\\StructType\\TimeInstantType',
            'BasicUnitInfoType' => '\\rdyescapiacontent\\StructType\\BasicUnitInfoType',
            'Position' => '\\rdyescapiacontent\\StructType\\Position',
            'Award' => '\\rdyescapiacontent\\StructType\\Award',
            'ArrayOfVendorMessageType' => '\\rdyescapiacontent\\ArrayType\\ArrayOfVendorMessageType',
            'VendorMessageType' => '\\rdyescapiacontent\\StructType\\VendorMessageType',
            'FormattedTextType' => '\\rdyescapiacontent\\StructType\\FormattedTextType',
            'FormattedTextSubSectionType' => '\\rdyescapiacontent\\StructType\\FormattedTextSubSectionType',
            'ArrayOfBasicUnitInfoTypeContactNumber' => '\\rdyescapiacontent\\ArrayType\\ArrayOfBasicUnitInfoTypeContactNumber',
            'ContactNumber' => '\\rdyescapiacontent\\StructType\\ContactNumber',
            'UnitAmenityType' => '\\rdyescapiacontent\\StructType\\UnitAmenityType',
            'UnitStayCandidateType' => '\\rdyescapiacontent\\StructType\\UnitStayCandidateType',
            'ArrayOfRoomCountType' => '\\rdyescapiacontent\\ArrayType\\ArrayOfRoomCountType',
            'RoomCountType' => '\\rdyescapiacontent\\StructType\\RoomCountType',
            'ArrayOfBedCountType' => '\\rdyescapiacontent\\ArrayType\\ArrayOfBedCountType',
            'BedCountType' => '\\rdyescapiacontent\\StructType\\BedCountType',
            'PetsPoliciesType' => '\\rdyescapiacontent\\StructType\\PetsPoliciesType',
            'PetsPolicy' => '\\rdyescapiacontent\\StructType\\PetsPolicy',
            'UnitValueMatchType' => '\\rdyescapiacontent\\StructType\\UnitValueMatchType',
            'RateRange' => '\\rdyescapiacontent\\StructType\\RateRange',
            'LastMinuteDiscountRangeType' => '\\rdyescapiacontent\\StructType\\LastMinuteDiscountRangeType',
            'ArrayOfParagraphType' => '\\rdyescapiacontent\\ArrayType\\ArrayOfParagraphType',
            'ArrayOfResGuestRPHsTypeResGuestRPH' => '\\rdyescapiacontent\\ArrayType\\ArrayOfResGuestRPHsTypeResGuestRPH',
            'ResGuestRPH' => '\\rdyescapiacontent\\StructType\\ResGuestRPH',
            'ArrayOfCommentTypeComment' => '\\rdyescapiacontent\\ArrayType\\ArrayOfCommentTypeComment',
            'Comment' => '\\rdyescapiacontent\\StructType\\Comment',
            'ArrayOfSpecialRequestTypeSpecialRequest' => '\\rdyescapiacontent\\ArrayType\\ArrayOfSpecialRequestTypeSpecialRequest',
            'SpecialRequest' => '\\rdyescapiacontent\\StructType\\SpecialRequest',
            'ArrayOfServiceRPHsTypeServiceRPH' => '\\rdyescapiacontent\\ArrayType\\ArrayOfServiceRPHsTypeServiceRPH',
            'ServiceRPH' => '\\rdyescapiacontent\\StructType\\ServiceRPH',
            'ArrayOfServicesTypeService' => '\\rdyescapiacontent\\ArrayType\\ArrayOfServicesTypeService',
            'Service' => '\\rdyescapiacontent\\StructType\\Service',
            'AmountType' => '\\rdyescapiacontent\\StructType\\AmountType',
            'AdditionalCharge' => '\\rdyescapiacontent\\StructType\\AdditionalCharge',
            'ResCommonDetailType' => '\\rdyescapiacontent\\StructType\\ResCommonDetailType',
            'ArrayOfMembershipTypeMembership' => '\\rdyescapiacontent\\ArrayType\\ArrayOfMembershipTypeMembership',
            'Membership' => '\\rdyescapiacontent\\StructType\\Membership',
            'GuaranteeType' => '\\rdyescapiacontent\\StructType\\GuaranteeType',
            'ArrayOfGuaranteeTypeGuaranteeAccepted' => '\\rdyescapiacontent\\ArrayType\\ArrayOfGuaranteeTypeGuaranteeAccepted',
            'GuaranteeAccepted' => '\\rdyescapiacontent\\StructType\\GuaranteeAccepted',
            'ResGlobalInfoType' => '\\rdyescapiacontent\\StructType\\ResGlobalInfoType',
            'ArrayOfHotelReservationIDsTypeHotelReservationID' => '\\rdyescapiacontent\\ArrayType\\ArrayOfHotelReservationIDsTypeHotelReservationID',
            'HotelReservationID' => '\\rdyescapiacontent\\StructType\\HotelReservationID',
            'ArrayOfRoutingHopTypeRoutingHop' => '\\rdyescapiacontent\\ArrayType\\ArrayOfRoutingHopTypeRoutingHop',
            'RoutingHop' => '\\rdyescapiacontent\\StructType\\RoutingHop',
            'ArrayOfProfilesTypeProfileInfo' => '\\rdyescapiacontent\\ArrayType\\ArrayOfProfilesTypeProfileInfo',
            'ProfileInfo' => '\\rdyescapiacontent\\StructType\\ProfileInfo',
            'ProfileType' => '\\rdyescapiacontent\\StructType\\ProfileType',
            'AccessesType' => '\\rdyescapiacontent\\StructType\\AccessesType',
            'Access' => '\\rdyescapiacontent\\StructType\\Access',
            'PersonNameType' => '\\rdyescapiacontent\\StructType\\PersonNameType',
            'FreeTextType' => '\\rdyescapiacontent\\StructType\\FreeTextType',
            'CommissionInfoType' => '\\rdyescapiacontent\\StructType\\CommissionInfoType',
            'WarningType' => '\\rdyescapiacontent\\StructType\\WarningType',
            'ErrorType' => '\\rdyescapiacontent\\StructType\\ErrorType',
            'CertificationType' => '\\rdyescapiacontent\\StructType\\CertificationType',
            'CustomerType' => '\\rdyescapiacontent\\StructType\\CustomerType',
            'Telephone' => '\\rdyescapiacontent\\StructType\\Telephone',
            'CitizenCountryName' => '\\rdyescapiacontent\\StructType\\CitizenCountryName',
            'CustLoyalty' => '\\rdyescapiacontent\\StructType\\CustLoyalty',
            'EmailType' => '\\rdyescapiacontent\\StructType\\EmailType',
            'URL_Type' => '\\rdyescapiacontent\\StructType\\URL_Type',
            'RelatedTravelerType' => '\\rdyescapiacontent\\StructType\\RelatedTravelerType',
            'ContactPersonType' => '\\rdyescapiacontent\\StructType\\ContactPersonType',
            'EmployeeInfoType' => '\\rdyescapiacontent\\StructType\\EmployeeInfoType',
            'DocumentType' => '\\rdyescapiacontent\\StructType\\DocumentType',
            'ArrayOfString' => '\\rdyescapiacontent\\ArrayType\\ArrayOfString',
            'PreferencesType' => '\\rdyescapiacontent\\StructType\\PreferencesType',
            'PrefCollection' => '\\rdyescapiacontent\\StructType\\PrefCollection',
            'CommonPrefType' => '\\rdyescapiacontent\\StructType\\CommonPrefType',
            'NamePrefType' => '\\rdyescapiacontent\\StructType\\NamePrefType',
            'PhonePrefType' => '\\rdyescapiacontent\\StructType\\PhonePrefType',
            'AddressPrefType' => '\\rdyescapiacontent\\StructType\\AddressPrefType',
            'PaymentFormPrefType' => '\\rdyescapiacontent\\StructType\\PaymentFormPrefType',
            'InterestPrefType' => '\\rdyescapiacontent\\StructType\\InterestPrefType',
            'InsurancePrefType' => '\\rdyescapiacontent\\StructType\\InsurancePrefType',
            'SeatingPrefType' => '\\rdyescapiacontent\\StructType\\SeatingPrefType',
            'TicketDistribPrefType' => '\\rdyescapiacontent\\StructType\\TicketDistribPrefType',
            'MediaEntertainPrefType' => '\\rdyescapiacontent\\StructType\\MediaEntertainPrefType',
            'PetInfoPrefType' => '\\rdyescapiacontent\\StructType\\PetInfoPrefType',
            'MealPrefType' => '\\rdyescapiacontent\\StructType\\MealPrefType',
            'LoyaltyPrefType' => '\\rdyescapiacontent\\StructType\\LoyaltyPrefType',
            'SpecRequestPrefType' => '\\rdyescapiacontent\\StructType\\SpecRequestPrefType',
            'RelatedTravelerPrefType' => '\\rdyescapiacontent\\StructType\\RelatedTravelerPrefType',
            'VehicleProfileRentalPrefType' => '\\rdyescapiacontent\\StructType\\VehicleProfileRentalPrefType',
            'LoyaltyPref' => '\\rdyescapiacontent\\StructType\\LoyaltyPref',
            'PaymentFormPref' => '\\rdyescapiacontent\\StructType\\PaymentFormPref',
            'CoveragePref' => '\\rdyescapiacontent\\StructType\\CoveragePref',
            'SpecialEquipPref' => '\\rdyescapiacontent\\StructType\\SpecialEquipPref',
            'VehicleSpecialReqPrefType' => '\\rdyescapiacontent\\StructType\\VehicleSpecialReqPrefType',
            'VehiclePrefType' => '\\rdyescapiacontent\\StructType\\VehiclePrefType',
            'VehicleCoreType' => '\\rdyescapiacontent\\StructType\\VehicleCoreType',
            'VehType' => '\\rdyescapiacontent\\StructType\\VehType',
            'VehClass' => '\\rdyescapiacontent\\StructType\\VehClass',
            'AirlinePrefType' => '\\rdyescapiacontent\\StructType\\AirlinePrefType',
            'FareRestrictPref' => '\\rdyescapiacontent\\StructType\\FareRestrictPref',
            'FlightTypePref' => '\\rdyescapiacontent\\StructType\\FlightTypePref',
            'CabinPref' => '\\rdyescapiacontent\\StructType\\CabinPref',
            'SeatPref' => '\\rdyescapiacontent\\StructType\\SeatPref',
            'SSR_Pref' => '\\rdyescapiacontent\\StructType\\SSR_Pref',
            'AirportPrefType' => '\\rdyescapiacontent\\StructType\\AirportPrefType',
            'LocationType' => '\\rdyescapiacontent\\StructType\\LocationType',
            'EquipmentTypePref' => '\\rdyescapiacontent\\StructType\\EquipmentTypePref',
            'EquipmentType' => '\\rdyescapiacontent\\StructType\\EquipmentType',
            'HotelPrefType' => '\\rdyescapiacontent\\StructType\\HotelPrefType',
            'PropertyNamePrefType' => '\\rdyescapiacontent\\StructType\\PropertyNamePrefType',
            'PropertyLocationPrefType' => '\\rdyescapiacontent\\StructType\\PropertyLocationPrefType',
            'PropertyTypePrefType' => '\\rdyescapiacontent\\StructType\\PropertyTypePrefType',
            'PropertyClassPrefType' => '\\rdyescapiacontent\\StructType\\PropertyClassPrefType',
            'PropertyAmenityPrefType' => '\\rdyescapiacontent\\StructType\\PropertyAmenityPrefType',
            'RoomAmenityPrefType' => '\\rdyescapiacontent\\StructType\\RoomAmenityPrefType',
            'RoomLocationPrefType' => '\\rdyescapiacontent\\StructType\\RoomLocationPrefType',
            'BedTypePrefType' => '\\rdyescapiacontent\\StructType\\BedTypePrefType',
            'FoodSrvcPrefType' => '\\rdyescapiacontent\\StructType\\FoodSrvcPrefType',
            'RecreationSrvcPrefType' => '\\rdyescapiacontent\\StructType\\RecreationSrvcPrefType',
            'BusinessSrvcPrefType' => '\\rdyescapiacontent\\StructType\\BusinessSrvcPrefType',
            'PersonalSrvcPrefType' => '\\rdyescapiacontent\\StructType\\PersonalSrvcPrefType',
            'SecurityFeaturePrefType' => '\\rdyescapiacontent\\StructType\\SecurityFeaturePrefType',
            'PhysChallFeaturePrefType' => '\\rdyescapiacontent\\StructType\\PhysChallFeaturePrefType',
            'OtherSrvcPrefType' => '\\rdyescapiacontent\\StructType\\OtherSrvcPrefType',
            'CompanyInfoType' => '\\rdyescapiacontent\\StructType\\CompanyInfoType',
            'TelephoneInfoType' => '\\rdyescapiacontent\\StructType\\TelephoneInfoType',
            'LoyaltyProgramType' => '\\rdyescapiacontent\\StructType\\LoyaltyProgramType',
            'AffiliationsType' => '\\rdyescapiacontent\\StructType\\AffiliationsType',
            'OrganizationType' => '\\rdyescapiacontent\\StructType\\OrganizationType',
            'OrgMemberName' => '\\rdyescapiacontent\\StructType\\OrgMemberName',
            'EmployerType' => '\\rdyescapiacontent\\StructType\\EmployerType',
            'TravelClubType' => '\\rdyescapiacontent\\StructType\\TravelClubType',
            'ClubMemberName' => '\\rdyescapiacontent\\StructType\\ClubMemberName',
            'InsuranceType' => '\\rdyescapiacontent\\StructType\\InsuranceType',
            'AgreementsType' => '\\rdyescapiacontent\\StructType\\AgreementsType',
            'AllianceConsortiumType' => '\\rdyescapiacontent\\StructType\\AllianceConsortiumType',
            'AllianceMember' => '\\rdyescapiacontent\\StructType\\AllianceMember',
            'EVRN_ResGlobalInfoType' => '\\rdyescapiacontent\\StructType\\EVRN_ResGlobalInfoType',
            'ArrayOfUnitReservationIDsTypeUnitReservationID' => '\\rdyescapiacontent\\ArrayType\\ArrayOfUnitReservationIDsTypeUnitReservationID',
            'UnitReservationID' => '\\rdyescapiacontent\\StructType\\UnitReservationID',
            'ArrayOfResGuestsTypeResGuest' => '\\rdyescapiacontent\\ArrayType\\ArrayOfResGuestsTypeResGuest',
            'ResGuest' => '\\rdyescapiacontent\\StructType\\ResGuest',
            'ArrayOfResGuestsTypeResGuestProfileRPH' => '\\rdyescapiacontent\\ArrayType\\ArrayOfResGuestsTypeResGuestProfileRPH',
            'ProfileRPH' => '\\rdyescapiacontent\\StructType\\ProfileRPH',
            'TransportInfoType' => '\\rdyescapiacontent\\StructType\\TransportInfoType',
            'TransportInfo' => '\\rdyescapiacontent\\StructType\\TransportInfo',
            'WrittenConfInstType' => '\\rdyescapiacontent\\StructType\\WrittenConfInstType',
            'ArrayOfUnitDescriptiveInfoRequestType' => '\\rdyescapiacontent\\ArrayType\\ArrayOfUnitDescriptiveInfoRequestType',
            'UnitDescriptiveInfoRequestType' => '\\rdyescapiacontent\\StructType\\UnitDescriptiveInfoRequestType',
            'UnitInfo' => '\\rdyescapiacontent\\StructType\\UnitInfo',
            'Policies' => '\\rdyescapiacontent\\StructType\\Policies',
            'UnitReviews' => '\\rdyescapiacontent\\StructType\\UnitReviews',
            'Promotions' => '\\rdyescapiacontent\\StructType\\Promotions',
            'EVRN_UnitDescriptiveInfoRS' => '\\rdyescapiacontent\\StructType\\EVRN_UnitDescriptiveInfoRS',
            'UnitDescriptiveContents' => '\\rdyescapiacontent\\StructType\\UnitDescriptiveContents',
            'EVRN_BaseRSType' => '\\rdyescapiacontent\\StructType\\EVRN_BaseRSType',
            'EVRN_UnitCalendarAvailBatchRSType' => '\\rdyescapiacontent\\StructType\\EVRN_UnitCalendarAvailBatchRSType',
            'UnitCalendarAvails' => '\\rdyescapiacontent\\StructType\\UnitCalendarAvails',
            'UnitCalendarAvailType' => '\\rdyescapiacontent\\StructType\\UnitCalendarAvailType',
            'UnitCalendarAvailSegmentType' => '\\rdyescapiacontent\\StructType\\UnitCalendarAvailSegmentType',
            'ArrayOfStayRequirementType' => '\\rdyescapiacontent\\ArrayType\\ArrayOfStayRequirementType',
            'StayRequirementType' => '\\rdyescapiacontent\\StructType\\StayRequirementType',
            'ErrorsType' => '\\rdyescapiacontent\\StructType\\ErrorsType',
            'WarningsType' => '\\rdyescapiacontent\\StructType\\WarningsType',
            'SuccessType' => '\\rdyescapiacontent\\StructType\\SuccessType',
            'UnitResResponseType' => '\\rdyescapiacontent\\StructType\\UnitResResponseType',
            'UnitDescriptiveContentType' => '\\rdyescapiacontent\\StructType\\UnitDescriptiveContentType',
            'UnitInfoType' => '\\rdyescapiacontent\\StructType\\UnitInfoType',
            'UnitName' => '\\rdyescapiacontent\\StructType\\UnitName',
            'Descriptions' => '\\rdyescapiacontent\\StructType\\Descriptions',
            'MultimediaDescriptions' => '\\rdyescapiacontent\\StructType\\MultimediaDescriptions',
            'EVRN_CategoryCodesType' => '\\rdyescapiacontent\\StructType\\EVRN_CategoryCodesType',
            'LocationCategory' => '\\rdyescapiacontent\\StructType\\LocationCategory',
            'UnitCategory' => '\\rdyescapiacontent\\StructType\\UnitCategory',
            'RoomInfo' => '\\rdyescapiacontent\\StructType\\RoomInfo',
            'BedInfo' => '\\rdyescapiacontent\\StructType\\BedInfo',
            'PropertyManagerCategory' => '\\rdyescapiacontent\\StructType\\PropertyManagerCategory',
            'CustomCategoryGroupType' => '\\rdyescapiacontent\\StructType\\CustomCategoryGroupType',
            'CustomCategoryType' => '\\rdyescapiacontent\\StructType\\CustomCategoryType',
            'MultimediaDescriptionsType' => '\\rdyescapiacontent\\StructType\\MultimediaDescriptionsType',
            'MultimediaDescriptionType' => '\\rdyescapiacontent\\StructType\\MultimediaDescriptionType',
            'VideoItems' => '\\rdyescapiacontent\\StructType\\VideoItems',
            'ImageItemsType' => '\\rdyescapiacontent\\StructType\\ImageItemsType',
            'ImageItem' => '\\rdyescapiacontent\\StructType\\ImageItem',
            'ImageDescriptionType' => '\\rdyescapiacontent\\StructType\\ImageDescriptionType',
            'ImageFormat' => '\\rdyescapiacontent\\StructType\\ImageFormat',
            'Description' => '\\rdyescapiacontent\\StructType\\Description',
            'ImageItemType' => '\\rdyescapiacontent\\StructType\\ImageItemType',
            'TextItemsType' => '\\rdyescapiacontent\\StructType\\TextItemsType',
            'TextItem' => '\\rdyescapiacontent\\StructType\\TextItem',
            'TextDescriptionType' => '\\rdyescapiacontent\\StructType\\TextDescriptionType',
            'VideoItemsType' => '\\rdyescapiacontent\\StructType\\VideoItemsType',
            'VideoItem' => '\\rdyescapiacontent\\StructType\\VideoItem',
            'VideoDescriptionType' => '\\rdyescapiacontent\\StructType\\VideoDescriptionType',
            'VideoFormat' => '\\rdyescapiacontent\\StructType\\VideoFormat',
            'VideoItemType' => '\\rdyescapiacontent\\StructType\\VideoItemType',
            'ArrayOfUnitInfoTypeService' => '\\rdyescapiacontent\\ArrayType\\ArrayOfUnitInfoTypeService',
            'RelativePositionType' => '\\rdyescapiacontent\\StructType\\RelativePositionType',
            'TransportationsType' => '\\rdyescapiacontent\\StructType\\TransportationsType',
            'ArrayOfTransportationTypeTransportation' => '\\rdyescapiacontent\\ArrayType\\ArrayOfTransportationTypeTransportation',
            'Transportation' => '\\rdyescapiacontent\\StructType\\Transportation',
            'OperationSchedulesType' => '\\rdyescapiacontent\\StructType\\OperationSchedulesType',
            'OperationScheduleType' => '\\rdyescapiacontent\\StructType\\OperationScheduleType',
            'ArrayOfOperationScheduleTypeOperationTime' => '\\rdyescapiacontent\\ArrayType\\ArrayOfOperationScheduleTypeOperationTime',
            'OperationTime' => '\\rdyescapiacontent\\StructType\\OperationTime',
            'OperationSchedulePlusChargeType' => '\\rdyescapiacontent\\StructType\\OperationSchedulePlusChargeType',
            'ArrayOfOperationSchedulesPlusChargeTypeOperationSchedule' => '\\rdyescapiacontent\\ArrayType\\ArrayOfOperationSchedulesPlusChargeTypeOperationSchedule',
            'OperationSchedule' => '\\rdyescapiacontent\\StructType\\OperationSchedule',
            'ArrayOfFeaturesTypeFeature' => '\\rdyescapiacontent\\ArrayType\\ArrayOfFeaturesTypeFeature',
            'Feature' => '\\rdyescapiacontent\\StructType\\Feature',
            'Charge' => '\\rdyescapiacontent\\StructType\\Charge',
            'ArrayOfRateRangeType' => '\\rdyescapiacontent\\ArrayType\\ArrayOfRateRangeType',
            'RateRangeType' => '\\rdyescapiacontent\\StructType\\RateRangeType',
            'ArrayOfEVRN_PoliciesTypePolicy' => '\\rdyescapiacontent\\ArrayType\\ArrayOfEVRN_PoliciesTypePolicy',
            'Policy' => '\\rdyescapiacontent\\StructType\\Policy',
            'PolicyInfo' => '\\rdyescapiacontent\\StructType\\PolicyInfo',
            'CommissionPoliciesType' => '\\rdyescapiacontent\\StructType\\CommissionPoliciesType',
            'UnitReviewsType' => '\\rdyescapiacontent\\StructType\\UnitReviewsType',
            'UnitReviewType' => '\\rdyescapiacontent\\StructType\\UnitReviewType',
            'ReviewScoreType' => '\\rdyescapiacontent\\StructType\\ReviewScoreType',
            'ReviewCommentType' => '\\rdyescapiacontent\\StructType\\ReviewCommentType',
            'ManagerResponseType' => '\\rdyescapiacontent\\StructType\\ManagerResponseType',
            'PropertyManagerReviewType' => '\\rdyescapiacontent\\StructType\\PropertyManagerReviewType',
            'PromotionsType' => '\\rdyescapiacontent\\StructType\\PromotionsType',
            'EVRN_UnitSearchRQ' => '\\rdyescapiacontent\\StructType\\EVRN_UnitSearchRQ',
            'UnitSearchCriteriaType' => '\\rdyescapiacontent\\StructType\\UnitSearchCriteriaType',
            'UnitSearchCriterionType' => '\\rdyescapiacontent\\StructType\\UnitSearchCriterionType',
            'ItemSearchCriterionType' => '\\rdyescapiacontent\\StructType\\ItemSearchCriterionType',
            'UnitRef' => '\\rdyescapiacontent\\StructType\\UnitRef',
            'Radius' => '\\rdyescapiacontent\\StructType\\Radius',
            'RegionType' => '\\rdyescapiacontent\\StructType\\RegionType',
            'RegionIdentifierType' => '\\rdyescapiacontent\\StructType\\RegionIdentifierType',
            'EVRN_UnitSearchRS' => '\\rdyescapiacontent\\StructType\\EVRN_UnitSearchRS',
            'Areas' => '\\rdyescapiacontent\\StructType\\Areas',
            'Units' => '\\rdyescapiacontent\\StructType\\Units',
            'SearchAreaType' => '\\rdyescapiacontent\\StructType\\SearchAreaType',
            'UnitCount' => '\\rdyescapiacontent\\StructType\\UnitCount',
            'AreaType' => '\\rdyescapiacontent\\StructType\\AreaType',
            'UnitsType' => '\\rdyescapiacontent\\StructType\\UnitsType',
            'EVRN_UnitCalendarAvailRQ' => '\\rdyescapiacontent\\StructType\\EVRN_UnitCalendarAvailRQ',
            'EVRN_UnitCalendarAvailRS' => '\\rdyescapiacontent\\StructType\\EVRN_UnitCalendarAvailRS',
            'UnitCalendarAvailSegments' => '\\rdyescapiacontent\\StructType\\UnitCalendarAvailSegments',
            'UnitCalendarAvailSegment' => '\\rdyescapiacontent\\StructType\\UnitCalendarAvailSegment',
            'EVRN_UnitStayRQ' => '\\rdyescapiacontent\\StructType\\EVRN_UnitStayRQ',
            'DepositPayments' => '\\rdyescapiacontent\\StructType\\DepositPayments',
            'CancelPenalties' => '\\rdyescapiacontent\\StructType\\CancelPenalties',
            'BasicUnitInfo' => '\\rdyescapiacontent\\StructType\\BasicUnitInfo',
            'RentalAgreement' => '\\rdyescapiacontent\\StructType\\RentalAgreement',
            'EVRN_UnitStayRS' => '\\rdyescapiacontent\\StructType\\EVRN_UnitStayRS',
            'EVRN_UnitReadRQ' => '\\rdyescapiacontent\\StructType\\EVRN_UnitReadRQ',
            'ReadRequests' => '\\rdyescapiacontent\\StructType\\ReadRequests',
            'GlobalReservationReadRequest' => '\\rdyescapiacontent\\StructType\\GlobalReservationReadRequest',
            'ReadRequest' => '\\rdyescapiacontent\\StructType\\ReadRequest',
            'VerificationType' => '\\rdyescapiacontent\\StructType\\VerificationType',
            'PersonName' => '\\rdyescapiacontent\\StructType\\PersonName',
            'TelephoneInfo' => '\\rdyescapiacontent\\StructType\\TelephoneInfo',
            'ReservationTimeSpan' => '\\rdyescapiacontent\\StructType\\ReservationTimeSpan',
            'AssociatedQuantity' => '\\rdyescapiacontent\\StructType\\AssociatedQuantity',
            'StartLocation' => '\\rdyescapiacontent\\StructType\\StartLocation',
            'EndLocation' => '\\rdyescapiacontent\\StructType\\EndLocation',
            'EVRN_UnitInquiryRQ' => '\\rdyescapiacontent\\StructType\\EVRN_UnitInquiryRQ',
            'ArrayOfInquiryRequestType' => '\\rdyescapiacontent\\ArrayType\\ArrayOfInquiryRequestType',
            'InquiryRequestType' => '\\rdyescapiacontent\\StructType\\InquiryRequestType',
            'Contact' => '\\rdyescapiacontent\\StructType\\Contact',
            'Source' => '\\rdyescapiacontent\\StructType\\Source',
            'EVRN_UnitInquiryRS' => '\\rdyescapiacontent\\StructType\\EVRN_UnitInquiryRS',
            'EVRN_UnitCalendarAvailBatchRQ' => '\\rdyescapiacontent\\StructType\\EVRN_UnitCalendarAvailBatchRQ',
            'ArrayOfCalendarAvailType' => '\\rdyescapiacontent\\ArrayType\\ArrayOfCalendarAvailType',
            'CalendarAvailType' => '\\rdyescapiacontent\\StructType\\CalendarAvailType',
            'EVRN_UnitCalendarAvailBatchRS' => '\\rdyescapiacontent\\StructType\\EVRN_UnitCalendarAvailBatchRS',
            'UnitDescriptiveInfoStream' => '\\rdyescapiacontent\\StructType\\UnitDescriptiveInfoStream',
            'DistributionType' => '\\rdyescapiacontent\\StructType\\DistributionType',
            'SettingsType' => '\\rdyescapiacontent\\StructType\\SettingsType',
            'ShowExactLocationType' => '\\rdyescapiacontent\\StructType\\ShowExactLocationType',
        );
    }
}
