<?php

namespace rdyescapiacontent\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EVRN_UnitCalendarAvailBatchRQ StructType
 * @subpackage Structs
 */
class EVRN_UnitCalendarAvailBatchRQ extends EVRN_BaseRQType
{
    /**
     * The CalenadAvails
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \rdyescapiacontent\ArrayType\ArrayOfCalendarAvailType
     */
    public $CalenadAvails;
    /**
     * The SummaryOnly
     * Meta information extracted from the WSDL
     * - default: false
     * @var bool
     */
    public $SummaryOnly;
    /**
     * The ShowHold
     * Meta information extracted from the WSDL
     * - default: false
     * - use: optional
     * @var bool
     */
    public $ShowHold;
    /**
     * Constructor method for EVRN_UnitCalendarAvailBatchRQ
     * @uses EVRN_UnitCalendarAvailBatchRQ::setCalenadAvails()
     * @uses EVRN_UnitCalendarAvailBatchRQ::setSummaryOnly()
     * @uses EVRN_UnitCalendarAvailBatchRQ::setShowHold()
     * @param \rdyescapiacontent\ArrayType\ArrayOfCalendarAvailType $calenadAvails
     * @param bool $summaryOnly
     * @param bool $showHold
     */
    public function __construct(\rdyescapiacontent\ArrayType\ArrayOfCalendarAvailType $calenadAvails = null, $summaryOnly = false, $showHold = false)
    {
        $this
            ->setCalenadAvails($calenadAvails)
            ->setSummaryOnly($summaryOnly)
            ->setShowHold($showHold);
    }
    /**
     * Get CalenadAvails value
     * @return \rdyescapiacontent\ArrayType\ArrayOfCalendarAvailType|null
     */
    public function getCalenadAvails()
    {
        return $this->CalenadAvails;
    }
    /**
     * Set CalenadAvails value
     * @param \rdyescapiacontent\ArrayType\ArrayOfCalendarAvailType $calenadAvails
     * @return \rdyescapiacontent\StructType\EVRN_UnitCalendarAvailBatchRQ
     */
    public function setCalenadAvails(\rdyescapiacontent\ArrayType\ArrayOfCalendarAvailType $calenadAvails = null)
    {
        $this->CalenadAvails = $calenadAvails;
        return $this;
    }
    /**
     * Get SummaryOnly value
     * @return bool|null
     */
    public function getSummaryOnly()
    {
        return $this->SummaryOnly;
    }
    /**
     * Set SummaryOnly value
     * @param bool $summaryOnly
     * @return \rdyescapiacontent\StructType\EVRN_UnitCalendarAvailBatchRQ
     */
    public function setSummaryOnly($summaryOnly = false)
    {
        // validation for constraint: boolean
        if (!is_null($summaryOnly) && !is_bool($summaryOnly)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($summaryOnly, true), gettype($summaryOnly)), __LINE__);
        }
        $this->SummaryOnly = $summaryOnly;
        return $this;
    }
    /**
     * Get ShowHold value
     * @return bool|null
     */
    public function getShowHold()
    {
        return $this->ShowHold;
    }
    /**
     * Set ShowHold value
     * @param bool $showHold
     * @return \rdyescapiacontent\StructType\EVRN_UnitCalendarAvailBatchRQ
     */
    public function setShowHold($showHold = false)
    {
        // validation for constraint: boolean
        if (!is_null($showHold) && !is_bool($showHold)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($showHold, true), gettype($showHold)), __LINE__);
        }
        $this->ShowHold = $showHold;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \rdyescapiacontent\StructType\EVRN_UnitCalendarAvailBatchRQ
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
