<?php

namespace rdyescapiacontent\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EVRN_UnitSearchRS StructType
 * @subpackage Structs
 */
class EVRN_UnitSearchRS extends EVRN_BaseRSType
{
    /**
     * The Areas
     * Meta information extracted from the WSDL
     * - choice: Areas | Errors | Warnings | Units | TPA_Extensions | Success | Criteria
     * - choiceMaxOccurs: unbounded
     * - choiceMinOccurs: 0
     * - minOccurs: 0
     * @var \rdyescapiacontent\StructType\Areas
     */
    public $Areas;
    /**
     * The Errors
     * Meta information extracted from the WSDL
     * - choice: Areas | Errors | Warnings | Units | TPA_Extensions | Success | Criteria
     * - choiceMaxOccurs: unbounded
     * - choiceMinOccurs: 0
     * - minOccurs: 0
     * @var \rdyescapiacontent\StructType\ErrorsType
     */
    public $Errors;
    /**
     * The Warnings
     * Meta information extracted from the WSDL
     * - choice: Areas | Errors | Warnings | Units | TPA_Extensions | Success | Criteria
     * - choiceMaxOccurs: unbounded
     * - choiceMinOccurs: 0
     * - minOccurs: 0
     * @var \rdyescapiacontent\StructType\WarningsType
     */
    public $Warnings;
    /**
     * The Units
     * Meta information extracted from the WSDL
     * - choice: Areas | Errors | Warnings | Units | TPA_Extensions | Success | Criteria
     * - choiceMaxOccurs: unbounded
     * - choiceMinOccurs: 0
     * - minOccurs: 0
     * @var \rdyescapiacontent\StructType\Units
     */
    public $Units;
    /**
     * The TPA_Extensions
     * Meta information extracted from the WSDL
     * - choice: Areas | Errors | Warnings | Units | TPA_Extensions | Success | Criteria
     * - choiceMaxOccurs: unbounded
     * - choiceMinOccurs: 0
     * - minOccurs: 0
     * @var \rdyescapiacontent\StructType\TPA_Extensions_Type
     */
    public $TPA_Extensions;
    /**
     * The Success
     * Meta information extracted from the WSDL
     * - choice: Areas | Errors | Warnings | Units | TPA_Extensions | Success | Criteria
     * - choiceMaxOccurs: unbounded
     * - choiceMinOccurs: 0
     * - minOccurs: 0
     * @var \rdyescapiacontent\StructType\SuccessType
     */
    public $Success;
    /**
     * The Criteria
     * Meta information extracted from the WSDL
     * - choice: Areas | Errors | Warnings | Units | TPA_Extensions | Success | Criteria
     * - choiceMaxOccurs: unbounded
     * - choiceMinOccurs: 0
     * - minOccurs: 0
     * @var \rdyescapiacontent\StructType\UnitSearchCriteriaType
     */
    public $Criteria;
    /**
     * Constructor method for EVRN_UnitSearchRS
     * @uses EVRN_UnitSearchRS::setAreas()
     * @uses EVRN_UnitSearchRS::setErrors()
     * @uses EVRN_UnitSearchRS::setWarnings()
     * @uses EVRN_UnitSearchRS::setUnits()
     * @uses EVRN_UnitSearchRS::setTPA_Extensions()
     * @uses EVRN_UnitSearchRS::setSuccess()
     * @uses EVRN_UnitSearchRS::setCriteria()
     * @param \rdyescapiacontent\StructType\Areas $areas
     * @param \rdyescapiacontent\StructType\ErrorsType $errors
     * @param \rdyescapiacontent\StructType\WarningsType $warnings
     * @param \rdyescapiacontent\StructType\Units $units
     * @param \rdyescapiacontent\StructType\TPA_Extensions_Type $tPA_Extensions
     * @param \rdyescapiacontent\StructType\SuccessType $success
     * @param \rdyescapiacontent\StructType\UnitSearchCriteriaType $criteria
     */
    public function __construct(\rdyescapiacontent\StructType\Areas $areas = null, \rdyescapiacontent\StructType\ErrorsType $errors = null, \rdyescapiacontent\StructType\WarningsType $warnings = null, \rdyescapiacontent\StructType\Units $units = null, \rdyescapiacontent\StructType\TPA_Extensions_Type $tPA_Extensions = null, \rdyescapiacontent\StructType\SuccessType $success = null, \rdyescapiacontent\StructType\UnitSearchCriteriaType $criteria = null)
    {
        $this
            ->setAreas($areas)
            ->setErrors($errors)
            ->setWarnings($warnings)
            ->setUnits($units)
            ->setTPA_Extensions($tPA_Extensions)
            ->setSuccess($success)
            ->setCriteria($criteria);
    }
    /**
     * Get Areas value
     * @return \rdyescapiacontent\StructType\Areas|null
     */
    public function getAreas()
    {
        return isset($this->Areas) ? $this->Areas : null;
    }
    /**
     * This method is responsible for validating the value passed to the setAreas method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAreas method
     * This has to validate that the property which is being set is the only one among the given choices
     * @param mixed $value
     * @return string A non-empty message if the values does not match the validation rules
     */
    public function validateAreasForChoiceConstraintsFromSetAreas($value)
    {
        $message = '';
        if (is_null($value)) {
            return $message;
        }
        $properties = [
            'Errors',
            'Warnings',
            'Units',
            'TPA_Extensions',
            'Success',
            'Criteria',
        ];
        try {
            foreach ($properties as $property) {
                if (isset($this->{$property})) {
                    throw new \InvalidArgumentException(sprintf('The property Areas can\'t be set as the property %s is already set. Only one property must be set among these properties: Areas, %s.', $property, implode(', ', $properties)), __LINE__);
                }
            }
        } catch (\InvalidArgumentException $e) {
            $message = $e->getMessage();
        }
        return $message;
    }
    /**
     * Set Areas value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @throws \InvalidArgumentException
     * @param \rdyescapiacontent\StructType\Areas $areas
     * @return \rdyescapiacontent\StructType\EVRN_UnitSearchRS
     */
    public function setAreas(\rdyescapiacontent\StructType\Areas $areas = null)
    {
        // validation for constraint: choice(Areas, Errors, Warnings, Units, TPA_Extensions, Success, Criteria)
        if ('' !== ($areasChoiceErrorMessage = self::validateAreasForChoiceConstraintsFromSetAreas($areas))) {
            throw new \InvalidArgumentException($areasChoiceErrorMessage, __LINE__);
        }
        if (is_null($areas) || (is_array($areas) && empty($areas))) {
            unset($this->Areas);
        } else {
            $this->Areas = $areas;
        }
        return $this;
    }
    /**
     * Get Errors value
     * @return \rdyescapiacontent\StructType\ErrorsType|null
     */
    public function getErrors()
    {
        return isset($this->Errors) ? $this->Errors : null;
    }
    /**
     * This method is responsible for validating the value passed to the setErrors method
     * This method is willingly generated in order to preserve the one-line inline validation within the setErrors method
     * This has to validate that the property which is being set is the only one among the given choices
     * @param mixed $value
     * @return string A non-empty message if the values does not match the validation rules
     */
    public function validateErrorsForChoiceConstraintsFromSetErrors($value)
    {
        $message = '';
        if (is_null($value)) {
            return $message;
        }
        $properties = [
            'Areas',
            'Warnings',
            'Units',
            'TPA_Extensions',
            'Success',
            'Criteria',
        ];
        try {
            foreach ($properties as $property) {
                if (isset($this->{$property})) {
                    throw new \InvalidArgumentException(sprintf('The property Errors can\'t be set as the property %s is already set. Only one property must be set among these properties: Errors, %s.', $property, implode(', ', $properties)), __LINE__);
                }
            }
        } catch (\InvalidArgumentException $e) {
            $message = $e->getMessage();
        }
        return $message;
    }
    /**
     * Set Errors value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @throws \InvalidArgumentException
     * @param \rdyescapiacontent\StructType\ErrorsType $errors
     * @return \rdyescapiacontent\StructType\EVRN_UnitSearchRS
     */
    public function setErrors(\rdyescapiacontent\StructType\ErrorsType $errors = null)
    {
        // validation for constraint: choice(Areas, Errors, Warnings, Units, TPA_Extensions, Success, Criteria)
        if ('' !== ($errorsChoiceErrorMessage = self::validateErrorsForChoiceConstraintsFromSetErrors($errors))) {
            throw new \InvalidArgumentException($errorsChoiceErrorMessage, __LINE__);
        }
        if (is_null($errors) || (is_array($errors) && empty($errors))) {
            unset($this->Errors);
        } else {
            $this->Errors = $errors;
        }
        return $this;
    }
    /**
     * Get Warnings value
     * @return \rdyescapiacontent\StructType\WarningsType|null
     */
    public function getWarnings()
    {
        return isset($this->Warnings) ? $this->Warnings : null;
    }
    /**
     * This method is responsible for validating the value passed to the setWarnings method
     * This method is willingly generated in order to preserve the one-line inline validation within the setWarnings method
     * This has to validate that the property which is being set is the only one among the given choices
     * @param mixed $value
     * @return string A non-empty message if the values does not match the validation rules
     */
    public function validateWarningsForChoiceConstraintsFromSetWarnings($value)
    {
        $message = '';
        if (is_null($value)) {
            return $message;
        }
        $properties = [
            'Areas',
            'Errors',
            'Units',
            'TPA_Extensions',
            'Success',
            'Criteria',
        ];
        try {
            foreach ($properties as $property) {
                if (isset($this->{$property})) {
                    throw new \InvalidArgumentException(sprintf('The property Warnings can\'t be set as the property %s is already set. Only one property must be set among these properties: Warnings, %s.', $property, implode(', ', $properties)), __LINE__);
                }
            }
        } catch (\InvalidArgumentException $e) {
            $message = $e->getMessage();
        }
        return $message;
    }
    /**
     * Set Warnings value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @throws \InvalidArgumentException
     * @param \rdyescapiacontent\StructType\WarningsType $warnings
     * @return \rdyescapiacontent\StructType\EVRN_UnitSearchRS
     */
    public function setWarnings(\rdyescapiacontent\StructType\WarningsType $warnings = null)
    {
        // validation for constraint: choice(Areas, Errors, Warnings, Units, TPA_Extensions, Success, Criteria)
        if ('' !== ($warningsChoiceErrorMessage = self::validateWarningsForChoiceConstraintsFromSetWarnings($warnings))) {
            throw new \InvalidArgumentException($warningsChoiceErrorMessage, __LINE__);
        }
        if (is_null($warnings) || (is_array($warnings) && empty($warnings))) {
            unset($this->Warnings);
        } else {
            $this->Warnings = $warnings;
        }
        return $this;
    }
    /**
     * Get Units value
     * @return \rdyescapiacontent\StructType\Units|null
     */
    public function getUnits()
    {
        return isset($this->Units) ? $this->Units : null;
    }
    /**
     * This method is responsible for validating the value passed to the setUnits method
     * This method is willingly generated in order to preserve the one-line inline validation within the setUnits method
     * This has to validate that the property which is being set is the only one among the given choices
     * @param mixed $value
     * @return string A non-empty message if the values does not match the validation rules
     */
    public function validateUnitsForChoiceConstraintsFromSetUnits($value)
    {
        $message = '';
        if (is_null($value)) {
            return $message;
        }
        $properties = [
            'Areas',
            'Errors',
            'Warnings',
            'TPA_Extensions',
            'Success',
            'Criteria',
        ];
        try {
            foreach ($properties as $property) {
                if (isset($this->{$property})) {
                    throw new \InvalidArgumentException(sprintf('The property Units can\'t be set as the property %s is already set. Only one property must be set among these properties: Units, %s.', $property, implode(', ', $properties)), __LINE__);
                }
            }
        } catch (\InvalidArgumentException $e) {
            $message = $e->getMessage();
        }
        return $message;
    }
    /**
     * Set Units value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @throws \InvalidArgumentException
     * @param \rdyescapiacontent\StructType\Units $units
     * @return \rdyescapiacontent\StructType\EVRN_UnitSearchRS
     */
    public function setUnits(\rdyescapiacontent\StructType\Units $units = null)
    {
        // validation for constraint: choice(Areas, Errors, Warnings, Units, TPA_Extensions, Success, Criteria)
        if ('' !== ($unitsChoiceErrorMessage = self::validateUnitsForChoiceConstraintsFromSetUnits($units))) {
            throw new \InvalidArgumentException($unitsChoiceErrorMessage, __LINE__);
        }
        if (is_null($units) || (is_array($units) && empty($units))) {
            unset($this->Units);
        } else {
            $this->Units = $units;
        }
        return $this;
    }
    /**
     * Get TPA_Extensions value
     * @return \rdyescapiacontent\StructType\TPA_Extensions_Type|null
     */
    public function getTPA_Extensions()
    {
        return isset($this->TPA_Extensions) ? $this->TPA_Extensions : null;
    }
    /**
     * This method is responsible for validating the value passed to the setTPA_Extensions method
     * This method is willingly generated in order to preserve the one-line inline validation within the setTPA_Extensions method
     * This has to validate that the property which is being set is the only one among the given choices
     * @param mixed $value
     * @return string A non-empty message if the values does not match the validation rules
     */
    public function validateTPA_ExtensionsForChoiceConstraintsFromSetTPA_Extensions($value)
    {
        $message = '';
        if (is_null($value)) {
            return $message;
        }
        $properties = [
            'Areas',
            'Errors',
            'Warnings',
            'Units',
            'Success',
            'Criteria',
        ];
        try {
            foreach ($properties as $property) {
                if (isset($this->{$property})) {
                    throw new \InvalidArgumentException(sprintf('The property TPA_Extensions can\'t be set as the property %s is already set. Only one property must be set among these properties: TPA_Extensions, %s.', $property, implode(', ', $properties)), __LINE__);
                }
            }
        } catch (\InvalidArgumentException $e) {
            $message = $e->getMessage();
        }
        return $message;
    }
    /**
     * Set TPA_Extensions value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @throws \InvalidArgumentException
     * @param \rdyescapiacontent\StructType\TPA_Extensions_Type $tPA_Extensions
     * @return \rdyescapiacontent\StructType\EVRN_UnitSearchRS
     */
    public function setTPA_Extensions(\rdyescapiacontent\StructType\TPA_Extensions_Type $tPA_Extensions = null)
    {
        // validation for constraint: choice(Areas, Errors, Warnings, Units, TPA_Extensions, Success, Criteria)
        if ('' !== ($tPA_ExtensionsChoiceErrorMessage = self::validateTPA_ExtensionsForChoiceConstraintsFromSetTPA_Extensions($tPA_Extensions))) {
            throw new \InvalidArgumentException($tPA_ExtensionsChoiceErrorMessage, __LINE__);
        }
        if (is_null($tPA_Extensions) || (is_array($tPA_Extensions) && empty($tPA_Extensions))) {
            unset($this->TPA_Extensions);
        } else {
            $this->TPA_Extensions = $tPA_Extensions;
        }
        return $this;
    }
    /**
     * Get Success value
     * @return \rdyescapiacontent\StructType\SuccessType|null
     */
    public function getSuccess()
    {
        return isset($this->Success) ? $this->Success : null;
    }
    /**
     * This method is responsible for validating the value passed to the setSuccess method
     * This method is willingly generated in order to preserve the one-line inline validation within the setSuccess method
     * This has to validate that the property which is being set is the only one among the given choices
     * @param mixed $value
     * @return string A non-empty message if the values does not match the validation rules
     */
    public function validateSuccessForChoiceConstraintsFromSetSuccess($value)
    {
        $message = '';
        if (is_null($value)) {
            return $message;
        }
        $properties = [
            'Areas',
            'Errors',
            'Warnings',
            'Units',
            'TPA_Extensions',
            'Criteria',
        ];
        try {
            foreach ($properties as $property) {
                if (isset($this->{$property})) {
                    throw new \InvalidArgumentException(sprintf('The property Success can\'t be set as the property %s is already set. Only one property must be set among these properties: Success, %s.', $property, implode(', ', $properties)), __LINE__);
                }
            }
        } catch (\InvalidArgumentException $e) {
            $message = $e->getMessage();
        }
        return $message;
    }
    /**
     * Set Success value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @throws \InvalidArgumentException
     * @param \rdyescapiacontent\StructType\SuccessType $success
     * @return \rdyescapiacontent\StructType\EVRN_UnitSearchRS
     */
    public function setSuccess(\rdyescapiacontent\StructType\SuccessType $success = null)
    {
        // validation for constraint: choice(Areas, Errors, Warnings, Units, TPA_Extensions, Success, Criteria)
        if ('' !== ($successChoiceErrorMessage = self::validateSuccessForChoiceConstraintsFromSetSuccess($success))) {
            throw new \InvalidArgumentException($successChoiceErrorMessage, __LINE__);
        }
        if (is_null($success) || (is_array($success) && empty($success))) {
            unset($this->Success);
        } else {
            $this->Success = $success;
        }
        return $this;
    }
    /**
     * Get Criteria value
     * @return \rdyescapiacontent\StructType\UnitSearchCriteriaType|null
     */
    public function getCriteria()
    {
        return isset($this->Criteria) ? $this->Criteria : null;
    }
    /**
     * This method is responsible for validating the value passed to the setCriteria method
     * This method is willingly generated in order to preserve the one-line inline validation within the setCriteria method
     * This has to validate that the property which is being set is the only one among the given choices
     * @param mixed $value
     * @return string A non-empty message if the values does not match the validation rules
     */
    public function validateCriteriaForChoiceConstraintsFromSetCriteria($value)
    {
        $message = '';
        if (is_null($value)) {
            return $message;
        }
        $properties = [
            'Areas',
            'Errors',
            'Warnings',
            'Units',
            'TPA_Extensions',
            'Success',
        ];
        try {
            foreach ($properties as $property) {
                if (isset($this->{$property})) {
                    throw new \InvalidArgumentException(sprintf('The property Criteria can\'t be set as the property %s is already set. Only one property must be set among these properties: Criteria, %s.', $property, implode(', ', $properties)), __LINE__);
                }
            }
        } catch (\InvalidArgumentException $e) {
            $message = $e->getMessage();
        }
        return $message;
    }
    /**
     * Set Criteria value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @throws \InvalidArgumentException
     * @param \rdyescapiacontent\StructType\UnitSearchCriteriaType $criteria
     * @return \rdyescapiacontent\StructType\EVRN_UnitSearchRS
     */
    public function setCriteria(\rdyescapiacontent\StructType\UnitSearchCriteriaType $criteria = null)
    {
        // validation for constraint: choice(Areas, Errors, Warnings, Units, TPA_Extensions, Success, Criteria)
        if ('' !== ($criteriaChoiceErrorMessage = self::validateCriteriaForChoiceConstraintsFromSetCriteria($criteria))) {
            throw new \InvalidArgumentException($criteriaChoiceErrorMessage, __LINE__);
        }
        if (is_null($criteria) || (is_array($criteria) && empty($criteria))) {
            unset($this->Criteria);
        } else {
            $this->Criteria = $criteria;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \rdyescapiacontent\StructType\EVRN_UnitSearchRS
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
