<?php

namespace rdyescapiacontent\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UnitSearchCriterionType StructType
 * Meta information extracted from the WSDL
 * - mixed: false
 * @subpackage Structs
 */
class UnitSearchCriterionType extends ItemSearchCriterionType
{
    /**
     * The UnitAmenity
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \rdyescapiacontent\StructType\UnitAmenityType[]
     */
    public $UnitAmenity;
    /**
     * The StayDateRange
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \rdyescapiacontent\StructType\DateTimeSpanType
     */
    public $StayDateRange;
    /**
     * The RateRange
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \rdyescapiacontent\StructType\RateRange
     */
    public $RateRange;
    /**
     * The UnitStayCandidate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \rdyescapiacontent\StructType\UnitStayCandidateType
     */
    public $UnitStayCandidate;
    /**
     * The TPA_Extensions
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \rdyescapiacontent\StructType\TPA_Extensions_Type
     */
    public $TPA_Extensions;
    /**
     * The LastMinuteDiscountRange
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \rdyescapiacontent\StructType\LastMinuteDiscountRangeType
     */
    public $LastMinuteDiscountRange;
    /**
     * Constructor method for UnitSearchCriterionType
     * @uses UnitSearchCriterionType::setUnitAmenity()
     * @uses UnitSearchCriterionType::setStayDateRange()
     * @uses UnitSearchCriterionType::setRateRange()
     * @uses UnitSearchCriterionType::setUnitStayCandidate()
     * @uses UnitSearchCriterionType::setTPA_Extensions()
     * @uses UnitSearchCriterionType::setLastMinuteDiscountRange()
     * @param \rdyescapiacontent\StructType\UnitAmenityType[] $unitAmenity
     * @param \rdyescapiacontent\StructType\DateTimeSpanType $stayDateRange
     * @param \rdyescapiacontent\StructType\RateRange $rateRange
     * @param \rdyescapiacontent\StructType\UnitStayCandidateType $unitStayCandidate
     * @param \rdyescapiacontent\StructType\TPA_Extensions_Type $tPA_Extensions
     * @param \rdyescapiacontent\StructType\LastMinuteDiscountRangeType $lastMinuteDiscountRange
     */
    public function __construct(array $unitAmenity = array(), \rdyescapiacontent\StructType\DateTimeSpanType $stayDateRange = null, \rdyescapiacontent\StructType\RateRange $rateRange = null, \rdyescapiacontent\StructType\UnitStayCandidateType $unitStayCandidate = null, \rdyescapiacontent\StructType\TPA_Extensions_Type $tPA_Extensions = null, \rdyescapiacontent\StructType\LastMinuteDiscountRangeType $lastMinuteDiscountRange = null)
    {
        $this
            ->setUnitAmenity($unitAmenity)
            ->setStayDateRange($stayDateRange)
            ->setRateRange($rateRange)
            ->setUnitStayCandidate($unitStayCandidate)
            ->setTPA_Extensions($tPA_Extensions)
            ->setLastMinuteDiscountRange($lastMinuteDiscountRange);
    }
    /**
     * Get UnitAmenity value
     * @return \rdyescapiacontent\StructType\UnitAmenityType[]|null
     */
    public function getUnitAmenity()
    {
        return $this->UnitAmenity;
    }
    /**
     * This method is responsible for validating the values passed to the setUnitAmenity method
     * This method is willingly generated in order to preserve the one-line inline validation within the setUnitAmenity method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateUnitAmenityForArrayConstraintsFromSetUnitAmenity(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $unitSearchCriterionTypeUnitAmenityItem) {
            // validation for constraint: itemType
            if (!$unitSearchCriterionTypeUnitAmenityItem instanceof \rdyescapiacontent\StructType\UnitAmenityType) {
                $invalidValues[] = is_object($unitSearchCriterionTypeUnitAmenityItem) ? get_class($unitSearchCriterionTypeUnitAmenityItem) : sprintf('%s(%s)', gettype($unitSearchCriterionTypeUnitAmenityItem), var_export($unitSearchCriterionTypeUnitAmenityItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The UnitAmenity property can only contain items of type \rdyescapiacontent\StructType\UnitAmenityType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set UnitAmenity value
     * @throws \InvalidArgumentException
     * @param \rdyescapiacontent\StructType\UnitAmenityType[] $unitAmenity
     * @return \rdyescapiacontent\StructType\UnitSearchCriterionType
     */
    public function setUnitAmenity(array $unitAmenity = array())
    {
        // validation for constraint: array
        if ('' !== ($unitAmenityArrayErrorMessage = self::validateUnitAmenityForArrayConstraintsFromSetUnitAmenity($unitAmenity))) {
            throw new \InvalidArgumentException($unitAmenityArrayErrorMessage, __LINE__);
        }
        $this->UnitAmenity = $unitAmenity;
        return $this;
    }
    /**
     * Add item to UnitAmenity value
     * @throws \InvalidArgumentException
     * @param \rdyescapiacontent\StructType\UnitAmenityType $item
     * @return \rdyescapiacontent\StructType\UnitSearchCriterionType
     */
    public function addToUnitAmenity(\rdyescapiacontent\StructType\UnitAmenityType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \rdyescapiacontent\StructType\UnitAmenityType) {
            throw new \InvalidArgumentException(sprintf('The UnitAmenity property can only contain items of type \rdyescapiacontent\StructType\UnitAmenityType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->UnitAmenity[] = $item;
        return $this;
    }
    /**
     * Get StayDateRange value
     * @return \rdyescapiacontent\StructType\DateTimeSpanType|null
     */
    public function getStayDateRange()
    {
        return $this->StayDateRange;
    }
    /**
     * Set StayDateRange value
     * @param \rdyescapiacontent\StructType\DateTimeSpanType $stayDateRange
     * @return \rdyescapiacontent\StructType\UnitSearchCriterionType
     */
    public function setStayDateRange(\rdyescapiacontent\StructType\DateTimeSpanType $stayDateRange = null)
    {
        $this->StayDateRange = $stayDateRange;
        return $this;
    }
    /**
     * Get RateRange value
     * @return \rdyescapiacontent\StructType\RateRange|null
     */
    public function getRateRange()
    {
        return $this->RateRange;
    }
    /**
     * Set RateRange value
     * @param \rdyescapiacontent\StructType\RateRange $rateRange
     * @return \rdyescapiacontent\StructType\UnitSearchCriterionType
     */
    public function setRateRange(\rdyescapiacontent\StructType\RateRange $rateRange = null)
    {
        $this->RateRange = $rateRange;
        return $this;
    }
    /**
     * Get UnitStayCandidate value
     * @return \rdyescapiacontent\StructType\UnitStayCandidateType|null
     */
    public function getUnitStayCandidate()
    {
        return $this->UnitStayCandidate;
    }
    /**
     * Set UnitStayCandidate value
     * @param \rdyescapiacontent\StructType\UnitStayCandidateType $unitStayCandidate
     * @return \rdyescapiacontent\StructType\UnitSearchCriterionType
     */
    public function setUnitStayCandidate(\rdyescapiacontent\StructType\UnitStayCandidateType $unitStayCandidate = null)
    {
        $this->UnitStayCandidate = $unitStayCandidate;
        return $this;
    }
    /**
     * Get TPA_Extensions value
     * @return \rdyescapiacontent\StructType\TPA_Extensions_Type|null
     */
    public function getTPA_Extensions()
    {
        return $this->TPA_Extensions;
    }
    /**
     * Set TPA_Extensions value
     * @param \rdyescapiacontent\StructType\TPA_Extensions_Type $tPA_Extensions
     * @return \rdyescapiacontent\StructType\UnitSearchCriterionType
     */
    public function setTPA_Extensions(\rdyescapiacontent\StructType\TPA_Extensions_Type $tPA_Extensions = null)
    {
        $this->TPA_Extensions = $tPA_Extensions;
        return $this;
    }
    /**
     * Get LastMinuteDiscountRange value
     * @return \rdyescapiacontent\StructType\LastMinuteDiscountRangeType|null
     */
    public function getLastMinuteDiscountRange()
    {
        return $this->LastMinuteDiscountRange;
    }
    /**
     * Set LastMinuteDiscountRange value
     * @param \rdyescapiacontent\StructType\LastMinuteDiscountRangeType $lastMinuteDiscountRange
     * @return \rdyescapiacontent\StructType\UnitSearchCriterionType
     */
    public function setLastMinuteDiscountRange(\rdyescapiacontent\StructType\LastMinuteDiscountRangeType $lastMinuteDiscountRange = null)
    {
        $this->LastMinuteDiscountRange = $lastMinuteDiscountRange;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \rdyescapiacontent\StructType\UnitSearchCriterionType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
